using fbblTipi;

namespace fbblSchemaAziendale
{
    class Impiegati : Malattia
    {
        private string Orario;


        public Impiegati(string Nome, string Cognome, string Sesso, string Via, string Numero,
                         string Citta, string Cap, string Provincia, string TelefonoFisso, string CodiceFiscale,
                         string Matricola, string Livello, string Mansione, int Retribuzione,
                         sbyte GiorniDiFerieGoduti, sbyte GiorniDiFerieDovuti, sbyte GiorniPermessiGoduti,
                         int GiorniMalattiaTotali,string Orario)

            : base(Nome, Cognome, Sesso, Via, Numero, Citta, Cap, Provincia, TelefonoFisso,
                   CodiceFiscale, Matricola, Livello, Mansione, Retribuzione,
                   GiorniDiFerieGoduti, GiorniDiFerieDovuti, GiorniPermessiGoduti, GiorniMalattiaTotali)                 
        {
            this.Orario = Orario;
        }

        public string get_Orario()
        {
            return this.Orario;
        }


        new public Liste stampa()
        {
            Liste MiaLista = base.stampa(); // eseguo la stampa della classe padre Nominativo

            MiaLista.ListaDiStringhe.Add(this.get_Orario());

            return MiaLista;
        }
    }
}
